在Linux上将Spyder与Python 2.7和Python 3结合使用

用户名

我正在研究Python 2.7程序。我不习惯使用Spyder,我通常使用香草Python形式的终端。由于我的计算量很大,因此我现在想使用Spyder进行绘图,而不必运行整个计算。基本上,我想使用Spyder,因为它将变量保留在工作空间中,并且因为它提供了使绘图混乱的可能性,而不必每次都运行完整的计算。

我安装了Spyder

sudo apt install spyder

我应该如何使用此安装选择Python 2.7还是Python 3?


我尝试了什么

我也尝试安装Spyder的throughtpip的建议在这里,像这样

python -m pip install spyder

这是行不通的。所以我不得不pip用安装特定版本的Spyder

sudo pip install -Iv spyder==2.3.9

但是再次有依赖关系的问题。即使它起作用了,也不允许我选择Python的版本。它只会安装可与Python 2.7一起使用的Spyder版本。

按照此处的建议更改Python解释器也不起作用。我试图指定bin/python为Python解释,但不适用于IPython内核。


如下所述,解决方案是conda针对每个Python版本使用虚拟环境。

乡村

我不确定我是否正确回答了您的问题,但是如果您不确定如何在Spyder中更改Python解释器,那么请看一下这篇文章:如何在anaconda spyder中更改python版本

如果要运行spyder,只需spyder在终端中输入即可。如果要使用多个版本的python,请考虑使用由virtualenv创建的虚拟环境conda为此,请看一下本文:Conda:创建虚拟环境

Rgds

本文收集自互联网,转载请注明来源。

如有侵权,请联系 [email protected] 删除。

编辑于
0

我来说两句

0 条评论
登录 后参与评论

相关文章

TOP 榜单

热门标签

归档